This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 578994 - Review Request: abinit - Full-featured atomic-scale first-principles simulation software
Review Request: abinit - Full-featured atomic-scale first-principles simulati...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2010-04-01 21:36 EDT by Rajesh Krishnan
Modified: 2010-11-17 08:41 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-17 08:41:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rajesh Krishnan 2010-04-01 21:36:41 EDT
Spec URL: http://krishnan.cc/devel/repository/fedora/SPECS/abinit.spec
SRPM URL: http://krishnan.cc/devel/repository/fedora/SRPMS/abinit-6.0.2-1.fc12.src.rpm
Description: ABINIT is a package whose main program allows one to 
find the total energy, charge density and electronic 
structure of systems made of electrons and nuclei within 
Density Functional Theory, using pseudo-potentials and 
a plane-wave basis.

Binary URL: http://krishnan.cc/devel/repository/fedora/RPMS/x86_64/abinit-6.0.2-1.fc12.x86_64.rpm


Need sponsor.
Comment 1 Rajesh Krishnan 2010-04-01 21:38:40 EDT
Tested this with Fedora 12 (x86_64).

Also 'rpmlint' did not report any major errors.
Comment 2 Susi Lehtola 2010-04-04 07:06:21 EDT
Be sure to go through the Fedora guidelines, most important of the which are
 http://fedoraproject.org/wiki/Packaging/Guidelines
 http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
Additionally to the Packaging Guidelines, there are a bunch of language / application specific guidelines that are linked to in the Packaging Guidelines.

Here are some tricks of the trade:
http://fedoraproject.org/wiki/Packaging_tricks
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
http://fedoraproject.org/wiki/Common_Rpmlint_issues
Comment 3 Rajesh Krishnan 2010-04-04 14:11:22 EDT
I did read all of those guidelines.  Let me know if anyone finds any issues with the SPEC or the SRPM package.
Comment 4 Susi Lehtola 2010-04-05 15:48:16 EDT
The first issues that come to mind:

- Explicit requires are banned by Packaging Guidelines

- BuildRequires are missing. Need at least:

BuildRequires: gcc-gfortran
BuildRequires: lapack-devel

- There are some other programs and libraries that are supported by abinit and are already in Fedora (for instance wannier90). Relevant buildrequires need to be added and the configure switches turned on.

- Some thought could be put in packaging the supported addons that aren't yet in Fedora (for instance bigdft).

- This program supports MPI, so the MPI versions should also be packaged (MPI guidelines). This part can be a bit rough, at least it is very likely to make the spec file very hard to read.

**

What is your interest in packaging abinit? Do you use it yourself?

Have you made any other submission yet?
Comment 5 Susi Lehtola 2010-04-05 15:50:55 EDT
Oh, and a few other things:

- Get rid of commented lines that are empty.

- Please don't use macros for standard commands. Even though rpm has macros such as %__mv, %__cp, %__make and so on, IMHO they just make the spec file harder to read.

- Don't use %makeinstall, it's forbidden in the packaging guidelines. Use
 make install DESTDIR=%{buildroot}
or
  make install DESTDIR=$RPM_BUILD_ROOT
instead.
Comment 6 Jason Tibbitts 2010-11-17 08:41:45 EST
No response to commentary in months, and another ticket from the same submitter was closed due to lack of response.  Closing this one as well.

Note You need to log in before you can comment on or make changes to this bug.